
// Class Debug - Static class for doing debugging output

package sptossg ;

import java.util.*;

public class Debug   {

    // boolean to allow on/off capabilities
    static boolean debugging = false;

    static void debug(String str) {
	if (debugging) {
	    System.out.println(str);
	}}

    public static void toggle() {
	if (debugging) { off(); } else { on(); }
    }

    public static void on() {
	System.out.println("Debugging on");
	debugging = true;
    }

    public static void off() {
	System.out.println("Debugging off");
	debugging = false;
    }

    public static void dumpHashtable(Hashtable ht, String hdr) {
	if (hdr != null) {
	    System.out.println(hdr);
	}
	int i = 0;
	Enumeration e = ht.keys();
	while (e.hasMoreElements()) {
	    Object key = e.nextElement();
	    Object val = ht.get(key);
	    System.out.println(i++ + ": '" + key + "' = '" + val + "'.");
	}
    }
}
